<?php

//Retrieve form data. 
//GET - user submitted data using AJAX
//POST - in case user does not support javascript, we'll use POST instead
$name = ($_GET['name']) ? $_GET['name'] : $_POST['name'];
$email = ($_GET['email']) ?$_GET['email'] : $_POST['email'];
$message = ($_GET['message']) ?$_GET['message'] : $_POST['message'];

//flag to indicate which method it uses. If POST set it to 1
if ($_POST) $post=1;

//Simple server side validation for POST data, of course, you should validate the email
if (!$name) $errors[count($errors)] = 'Inserisci il tuo nome.';
if (!$email) $errors[count($errors)] = 'Inserisci la tua mail.'; 
if (!$message) $errors[count($errors)] = 'Digita il messaggio da inviare.'; 

//If the errors array is empty, send the mail
if (!$errors) {

	// ====== Your mail here  ====== //
	$to = 'edoardofsr@gmail.com';
	
	// Sender
	$from = $name . ' <' . $email . '>';
	
	//subject and the html message
	$subject = 'MESSAGGIO DAL SITO';	
	$message = '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head></head>
	<body>
	<table>
		<tr><td>Name:</td><td>' . $name . '</td></tr>
		<tr><td>Email:</td><td>' . $email . '</td></tr>
		<tr><td>Message:</td><td>' . nl2br($message) . '</td></tr>
	</table>
	</body>
	</html>';

	// Send the mail
	$result = sendmail($to, $subject, $message, $from);
	
	//if POST was used, display the message straight away
	if ($_POST) {
		if ($result) echo 'Grazie! Abbiamo ricevuto il messaggio correttamente.';
		else echo 'Ci scusiamo, si è verificato un messaggio inaspettato. Per favore riprova';
		
	//else if GET was used, return the boolean value so that 
	//ajax script can react accordingly
	//1 means success, 0 means failed
	} else {
		echo $result;	
	}

// If the errors array has values
} else {}


// Simple mail function with HTML header
function sendmail($to, $subject, $message, $from) {
	$headers = "MIME-Version: 1.0" . "\r\n";
	$headers .= "Content-type:text/html;charset=iso-8859-1" . "\r\n";
	$headers .= 'From: ' . $from . "\r\n";
	
	$result = mail($to,$subject,$message,$headers);
	
	if ($result) return 1;
	else return 0;
}

?>